# Asterisk Project : Asterisk 13 Application_DISA

Created by wikibot on Aug 08, 2014

# DISA()

### Synopsis

Direct Inward System Access.

### Description

The DISA, Direct Inward System Access, application allows someone from outside the telephone switch (PBX) to obtain an internal system dialtone and to place calls from it as if they were placing a call from within the switch. DISA plays a dialtone. The user enters their numeric passcode, followed by the pound sign `#`. If the passcode is correct, the user is then given system dialtone within context on which a call may be placed. If the user enters an invalid extension and extension `i` exists in the specified context, it will be used.

Be aware that using this may compromise the security of your PBX.

The arguments to this application (in `extensions.conf`) allow either specification of a single global passcode (that everyone uses), or individual passcodes contained in a file (filename).

The file that contains the passcodes (if used) allows a complete specification of all of the same arguments available on the command line, with the sole exception of the options. The file may contain blank lines, or comments starting with `#` or `;`.

### Syntax

    DISA(passcode|filename,[context,[cid,mailbox@[context],[options]]]])

##### Arguments

- `passcode|filename` - If you need to present a DISA dialtone without entering a password, simply set passcode to `no-password`
  You may specified a filename instead of a passcode, this filename must contain individual passcodes
- `context` - Specifies the dialplan context in which the user-entered extension will be matched. If no context is specified, the DISA application defaults to the `disa` context. Presumably a normal system will have a special context set up for DISA use with some or a lot of restrictions.
- `cid` - Specifies a new (different) callerid to be used for this call.
- `mailbox` - Will cause a stutter-dialtone (indication dialrecall) to be used, if the specified mailbox contains any new messages.
  - `mailbox`
  - `context`
- `options`
  - `n` - The DISA application will not answer initially.
  - `p` - The extension entered will be considered complete when a `#` is entered.

### See Also

- Asterisk 13 Application_Authenticate
- Asterisk 13 Application_VMAuthenticate

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538